Subject: bug#13152: 24.2.90; [REGRESSION] dired-get-marked-files changed

From: martin rudalics <[email-masked]>
Date: Fri, 14 Dec 2012 11:26:04 +0100

> The doubt raises the fact that evaluating the expression after
 > selecting " *Marked Files*" was intentionally coded this way
 > in `dired-mark-pop-up':
 >
 > 	       (with-selected-window window
 > 		 (unwind-protect
 > 		     (apply function args)
 > 		   (when (window-live-p window)
 > 		     (quit-restore-window window 'kill))))
 >
 > I guess the reason was to allow quit-restore-window to kill the
 > " *Marked Files*" buffer after the minibuffer (that reads a command)
 > is displayed and exited in `(apply function args)'.

I suppose we can safely do

	   #'(lambda (window _value)
	       (unwind-protect
		   (apply function args)
		 (with-selected-window window
		   (when (window-live-p window)
		     (quit-restore-window window 'kill)))))

instead if people think it's better.  But FUNCTION "should not
manipulate files, just read input \(an argument or confirmation)." so I
don't see why this matters.

martin